aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-05 09:26:19 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-05 09:26:19 +0900
commita60c69be106fcd2bad12bf1a57c9ae7f13a7165c (patch)
treecc7b6210c13a9acacfd3798039e052679a80cf98
parente5dc74881ce00eaba324d16f5d9412bab04fe857 (diff)
animations list now alphabetically
-rw-r--r--config/hypr/animations/00-default.conf (renamed from config/hypr/animations/default.conf)0
-rw-r--r--config/hypr/animations/01-default - v2.conf (renamed from config/hypr/animations/default - v2.conf)0
-rw-r--r--config/hypr/animations/03-disabled.conf (renamed from config/hypr/animations/disabled.conf)0
-rwxr-xr-xconfig/hypr/scripts/Animations.sh6
-rwxr-xr-xcopy.sh4
5 files changed, 5 insertions, 5 deletions
diff --git a/config/hypr/animations/default.conf b/config/hypr/animations/00-default.conf
index 0f40b5e6..0f40b5e6 100644
--- a/config/hypr/animations/default.conf
+++ b/config/hypr/animations/00-default.conf
diff --git a/config/hypr/animations/default - v2.conf b/config/hypr/animations/01-default - v2.conf
index dfbbed7f..dfbbed7f 100644
--- a/config/hypr/animations/default - v2.conf
+++ b/config/hypr/animations/01-default - v2.conf
diff --git a/config/hypr/animations/disabled.conf b/config/hypr/animations/03-disabled.conf
index f73a485b..f73a485b 100644
--- a/config/hypr/animations/disabled.conf
+++ b/config/hypr/animations/03-disabled.conf
diff --git a/config/hypr/scripts/Animations.sh b/config/hypr/scripts/Animations.sh
index 48ac0f85..7789cb05 100755
--- a/config/hypr/scripts/Animations.sh
+++ b/config/hypr/scripts/Animations.sh
@@ -13,8 +13,8 @@ SCRIPTSDIR="$HOME/.config/hypr/scripts"
animations_dir="$HOME/.config/hypr/animations"
UserConfigs="$HOME/.config/hypr/UserConfigs"
-# list of animation files
-animations_list=$(find "$animations_dir" -maxdepth 1 -type f | sed 's/.*\///' | sed 's/\.conf$//')
+# list of animation files, sorted alphabetically with numbers first
+animations_list=$(find "$animations_dir" -maxdepth 1 -type f | sed 's/.*\///' | sed 's/\.conf$//' | sort -V)
# Rofi Menu
chosen_file=$(echo "$animations_list" | rofi -i -dmenu -config ~/.config/rofi/config-Animations.rasi)
@@ -32,4 +32,4 @@ else
fi
sleep 1
-"$SCRIPTSDIR/RefreshNoWaybar.sh" \ No newline at end of file
+"$SCRIPTSDIR/RefreshNoWaybar.sh"
diff --git a/copy.sh b/copy.sh
index 154e2c96..e90fb5bf 100755
--- a/copy.sh
+++ b/copy.sh
@@ -65,7 +65,7 @@ fi
# uncommenting WLR_RENDERER_ALLOW_SOFTWARE,1 if running in a VM is detected
if hostnamectl | grep -q 'Chassis: vm'; then
- echo "${INFO} System is running in a virtual machine." 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} System is running in a virtual machine. Setting up proper env's and configs" 2>&1 | tee -a "$LOG" || true
# enabling proper ENV's for Virtual Environment which should help
sed -i 's/^\([[:space:]]*no_hardware_cursors[[:space:]]*=[[:space:]]*\)2/\1true/' config/hypr/UserConfigs/UserSettings.conf
sed -i '/env = WLR_RENDERER_ALLOW_SOFTWARE,1/s/^#//' config/hypr/UserConfigs/ENVariables.conf
@@ -75,7 +75,7 @@ fi
# Proper Polkit for NixOS
if hostnamectl | grep -q 'Operating System: NixOS'; then
- echo "${INFO} NixOS Distro Detected. Setting up properly." 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} NixOS Distro Detected. Setting up proper env's and configs." 2>&1 | tee -a "$LOG" || true
sed -i -E '/^#?exec-once = \$scriptsDir\/Polkit-NixOS\.sh/s/^#//' config/hypr/UserConfigs/Startup_Apps.conf
sed -i '/^exec-once = \$scriptsDir\/Polkit\.sh$/ s/^#*/#/' config/hypr/UserConfigs/Startup_Apps.conf
fi
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage